import * as React from "react";
import Svg, { G, Path, Defs, ClipPath } from "react-native-svg";

const Tall = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <G clipPath="url(#clip0_347_150)">
        <Path
          d="M20.057 11.957c-.227-.167-.42-.202-.596-.27a.727.727 0 01-.423-.372c-.164-.349-.313-.707-.506-1.04-.147-.252-.134-.477-.05-.739.143-.445.133-.505-.323-.523-.7-.029-1.04-.567-1.5-.937-.267-.214-.503-.453-.493-.836.005-.172-.109-.209-.226-.132-.375.246-.67.105-.95-.164-.119-.113-.226-.093-.358-.002-.392.27-.868.368-1.276.611-.139.083-.28-.027-.418-.058-.155-.035-.256-.017-.233.168.036.296-.128.5-.318.68-.452.427-.851.891-1.152 1.44a1.11 1.11 0 01-.74.558c-.308.075-.6.214-.921.236-.129.01-.152.09-.166.194-.06.44-.126.88-.109 1.324.015.385-.122.66-.471.852-.944.52-1.47 1.37-1.792 2.365a1.29 1.29 0 01-.486.665c-.422.304-.858.589-1.28.892-.247.177-.518.146-.782.113a5.008 5.008 0 00-.866-.04.788.788 0 01-.755-.39c-.091-.144-.198-.258-.377-.285a.198.198 0 01-.106-.044c-.524-.52-1.135-.959-1.54-1.591-.225-.35-.22-.735-.107-1.117.155-.529.187-1.041-.12-1.532-.058-.093-.023-.18.036-.268.081-.119.143-.251.22-.373.127-.196.14-.368-.062-.53-.117-.094-.123-.23-.088-.372.118-.478.23-.957.35-1.433.046-.168.125-.326.232-.464.224-.302.457-.598.669-.909.208-.304.492-.547.824-.705.214-.106.325-.262.35-.517.084-.845.1-1.694.145-2.54.051-.982.16-1.96.127-2.947-.012-.349.358-.657.7-.624.178.017.24.14.255.299.056.556.098 1.114.171 1.668.113.849.185 1.702.313 2.564.063-.162.147-.32.186-.49.085-.366.32-.607.622-.798.366-.233.744-.448 1.1-.695.426-.296.889-.335 1.382-.274.609.075.61.07.864-.468.058-.122.118-.243.163-.37.137-.378.384-.635.772-.761C10.485.8 10.95.48 11.422.184c.21-.131.413-.206.652-.178.566.064 1.136.055 1.704.052.336-.002.572.131.741.411.12.198.25.39.368.59.087.147.205.186.366.14.242-.07.486-.13.707-.252a.338.338 0 01.38.022c.437.281.877.559 1.316.839.116.074.225.171.26.301.08.291.278.254.472.18.351-.134.694-.29 1.04-.438.541-.231 1.077-.204 1.565.114.51.331 1.004.69 1.56.937.291.13.476.333.553.626.22.828.427 1.66.633 2.493.05.203-.049.38-.147.545-.112.203-.24.396-.382.58-.15.181-.11.304.06.429.117.099.24.192.368.279.17.096.3.25.366.433.14.379.271.76.393 1.147a.472.472 0 01-.05.36c-.345.678-.676 1.362-1.017 2.041-.048.096.01.145.055.203.232.296.447.608.703.881.196.21.255.432.186.688-.123.465-.265.926-.402 1.388-.03.107-.116.175-.19.25-.292.295-.605.57-.826.927-.082.132-.214.191-.36.223-.082.025-.168.04-.255.043-.557-.016-.92.19-.97.796-.016.183-.17.287-.33.332-.517.143-.965.502-1.532.481-.106-.003-.16.061-.155.166.01.215-.097.39-.196.566-.253.455-.588.755-1.162.66-.271-.044-.534-.055-.582.346-.015.127-.179.243-.288.35-.26.258-.49.615-.805.732-.39.144-.397.425-.494.704-.025.072-.04.157-.089.212-.345.393-.082.752.064 1.11.067.162.303.073.393.208.116.174.238.084.393.07.655-.058 1.347-.276 1.91.288.118.118.191.092.26-.047.183-.364.95-.433 1.226-.06.155.21.09.49.044.73-.072.38-.523.654-.894.557-.188-.049-.304.017-.468.106a1.938 1.938 0 01-1.427.198c-.279-.07-.545-.193-.815-.296-.08-.03-.173-.058-.21-.143-.09-.208-.176-.24-.428-.172-.265.072-.558-.135-.743-.354-.11-.13-.213-.175-.365-.224-.296-.094-.63-.189-.616-.613.003-.101-.048-.145-.147-.098-.137.066-.27.025-.393-.027a7.142 7.142 0 01-1.185-.661.528.528 0 01-.21-.337 3.593 3.593 0 00-.109-.449.976.976 0 01.15-1.002c.07-.105.12-.221.147-.344.111-.41.296-.75.735-.89.216-.07.277-.232.253-.457a5.546 5.546 0 01-.013-.692c0-.067.02-.133.057-.19.246-.333.497-.663.75-.99a.39.39 0 01.408-.158c.076.009.154.011.23.007.446 0 .446 0 .496-.43.004-.058.01-.115.02-.172.085-.376 1.111-1.104 1.496-1.063.454.048.407.013.63-.368.329-.564.862-.965 1.34-1.403.048-.043.148-.039.224-.04a.198.198 0 00.217-.185c.097-.568.366-1.01.999-1.235z"
          fill={`${props.color ? props.color : "#17171B"}`}
        />
      </G>
      <Defs>
        <ClipPath id="clip0_347_150">
          <Path fill="#fff" d="M0 0H25V25H0z" />
        </ClipPath>
      </Defs>
    </Svg>
  );
};

export default Tall;
